## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Optional integration tests:
%bcond matplotlib 1
%bcond numpy 1
%bcond pandas 1
%bcond scipy 1
%bcond sklearn 1
%bcond statsmodels 1
# Not packaged:
%bcond pymvpa2 0
%bcond psychopy 0

%global _description %{expand: \
duecredit is being conceived to address the problem of inadequate citation of
scientific software and methods, and limited visibility of donation requests
for open-source software.

It provides a simple framework (at the moment for Python only) to embed
publication or other references in the original code so they are automatically
collected and reported to the user at the necessary level of reference detail,
i.e. only references for actually used functionality will be presented back if
software provides multiple citeable implementations.}

Name:           python-duecredit
Version:        0.10.2
Release:        %autorelease
Summary:        Automated collection and reporting of citations

License:        BSD-2-Clause-Views
URL:            https://github.com/duecredit/duecredit
Source0:        %{pypi_source duecredit}

BuildArch:      noarch

%description
%{_description}

%package -n python3-duecredit
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}
%if %{with matplotlib}
BuildRequires:  %{py3_dist matplotlib}
%endif
%if %{with numpy}
BuildRequires:  %{py3_dist numpy}
%endif
%if %{with pandas}
BuildRequires:  %{py3_dist pandas}
%endif
%if %{with scipy}
BuildRequires:  %{py3_dist scipy}
%endif
%if %{with sklearn}
BuildRequires:  %{py3_dist scikit-learn}
%endif
%if %{with statsmodels}
BuildRequires:  %{py3_dist statsmodels}
%endif
%if %{with pymvpa2}
BuildRequires:  %{py3_dist pymvpa2}
%endif
%if %{with psychopy}
BuildRequires:  %{py3_dist psychopy}
%endif
BuildRequires:  help2man


%description -n python3-duecredit
%{_description}

%package doc
Summary:        Documentation for %{name}

%description doc
Documentation for %{name}.

%prep
%autosetup -n duecredit-%{version}

# remove coverage stuff
sed -i '/--cov/ d' tox.ini

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l duecredit

# Create man pages from --help and --version
mkdir man
%{py3_test_envvars} help2man --section 1 --no-discard-stderr \
--no-info --output man/duecredit.1 duecredit
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 man/duecredit.1 %{buildroot}%{_mandir}/man1

%check
# It’s not entirely clear why this fails here but not in a virtualenv. That
# makes it hard to usefully report upstream.
#
# ____________ test_noincorrect_import_if_no_lxml_numpy[kwargs1-env2] ____________
# duecredit/tests/test_api.py:229: in test_noincorrect_import_if_no_lxml_numpy
#     assert "For formatted output we need citeproc" in out + err
# E   assert 'For formatted output we need citeproc' in ('done123\n\nDueCredit
#         Report:\n  - Multivariate pattern analysis of neural data /
#         __main__:method (v None) [1]\n\n0 packages cited\n0 modules cited\n1
#         function cited\n\nReferences\n----------\n\n[1] ' + '2024-06-04
#         18:24:49,497 [WARNING] DueCredit internal failure while running
#         <function DueSwitch.dump at 0x7f0052cd4c20... name resolution\'))")).
#         Please report to developers at
#         https://github.com/duecredit/duecredit/issues (utils.py:211)\n')
k="${k-}${k+ and }not test_noincorrect_import_if_no_lxml_numpy[kwargs1-env2]"

%{pytest} duecredit/tests --ignore=duecredit/tests/test_io.py -rs -k "${k-}"

%files -n python3-duecredit -f %{pyproject_files}
%{_bindir}/duecredit
%{_mandir}/man1/duecredit.1*

%files doc
%license LICENSE
%doc examples/

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 15 2024 Python Maint <python-maint@redhat.com> - 0.10.2-4
- Rebuilt for Python 3.13

* Tue Jun 04 2024 Packit <hello@packit.dev> - 0.10.2-1
- Update to 0.10.2 upstream release
- Resolves: rhbz#2290475

* Tue May 21 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.10.1-2
- fix: remove coverage bits (fixes rh#2280972)

* Fri May 17 2024 Packit <hello@packit.dev> - 0.10.1-1
- Update to 0.10.1 upstream release
- Resolves: rhbz#2280972

* Wed Mar 13 2024 Sandro <devel@penguinpee.nl> - 0.9.3-5
- Fix Packit config

* Fri Feb 23 2024 Sandro <devel@penguinpee.nl> - 0.9.3-4
- Add Packit config

* Fri Feb 23 2024 Sandro <devel@penguinpee.nl> - 0.9.3-3
- Add man page for executable

* Fri Feb 23 2024 Sandro <devel@penguinpee.nl> - 0.9.3-2
- Assert existence of license file

* Fri Feb 23 2024 Sandro <devel@penguinpee.nl> - 0.9.3-1
- Update to 0.9.3 (RHBZ#2249367)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.9.2-3
- Rebuilt for Python 3.12

* Wed Feb 01 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.9.2-2
- feat: update to SPDX indentifier

* Wed Feb 01 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.9.2-1
- feat: update to 0.9.2 (fixes rhbz#2166341)

* Wed Feb 01 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.9.1-9
- chore: use pyproject macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.9.1-2
- Rebuilt for Python 3.10

* Sat May 22 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.9.1-1
- Update to latest release

* Sun Mar 28 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.8.1-1
- Update to latest release

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.8.0-3
- Explicitly BR setuptools

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.8.0-2
- Rebuilt for Python 3.9

* Tue Apr 21 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.8.0-1
- Update to 0.8.0
- Remove py2 bits

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.7.0-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.7.0-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Apr 10 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.7.0-1
- Update to 0.7.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Nov 04 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.6.4-2
- Shorten summary
- Remove stray empty line in description
- Improve description for doc package

* Sat Nov 03 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.6.4-1
- Update to new version
- Only install py3 bin
- Use macro for description
- use pydist macros
- use pypi_source macro

* Wed Nov 11 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.4.4.1-1
- Initial package

## END: Generated by rpmautospec
